io.vertx.ext.web.sstore

## Interface ClusteredSessionStore

- All Superinterfaces:
    SessionStore

      public interface ClusteredSessionStore
      extends SessionStore

  A session store which stores sessions in a distributed map so they are available across the cluster.
  Author:
    Tim Fox

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static long` | `DEFAULT_RETRY_TIMEOUT` Default retry time out, in ms, for a session not found in this store.
    `static String` | `DEFAULT_SESSION_MAP_NAME` The default name used for the session map

  - ### Method Summary

    All Methods Static Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ClusteredSessionStore` | `create(Vertx vertx)` Create a session store
    `static ClusteredSessionStore` | `create(Vertx vertx, long retryTimeout)` Create a session store. The retry timeout value, configures how long the session handler will retry to get a session from the store when it is not found.
    `static ClusteredSessionStore` | `create(Vertx vertx, String sessionMapName)` Create a session store
    `static ClusteredSessionStore` | `create(Vertx vertx, String sessionMapName, long retryTimeout)` Create a session store. The retry timeout value, configures how long the session handler will retry to get a session from the store when it is not found.

    - ### Methods inherited from interface io.vertx.ext.web.sstore.SessionStore

      `clear, close, createSession, delete, get, put, retryTimeout, size`

- - ### Field Detail

    - #### DEFAULT_SESSION_MAP_NAME

          static final String DEFAULT_SESSION_MAP_NAME

      The default name used for the session map
      See Also:
        Constant Field Values

    - #### DEFAULT_RETRY_TIMEOUT

          static final long DEFAULT_RETRY_TIMEOUT

      Default retry time out, in ms, for a session not found in this store.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### create

          static ClusteredSessionStore create(Vertx vertx,
                                              String sessionMapName)

      Create a session store
      Parameters:
        `vertx` - the Vert.x instance
        `sessionMapName` - the session map name
      Returns:
        the session store

    - #### create

          static ClusteredSessionStore create(Vertx vertx,
                                              String sessionMapName,
                                              long retryTimeout)

      Create a session store.

      The retry timeout value, configures how long the session handler will retry to get a session from the store when it is not found.
      Parameters:
        `vertx` - the Vert.x instance
        `sessionMapName` - the session map name
        `retryTimeout` - the store retry timeout, in ms
      Returns:
        the session store

    - #### create

          static ClusteredSessionStore create(Vertx vertx)

      Create a session store
      Parameters:
        `vertx` - the Vert.x instance
      Returns:
        the session store

    - #### create

          static ClusteredSessionStore create(Vertx vertx,
                                              long retryTimeout)

      Create a session store.

      The retry timeout value, configures how long the session handler will retry to get a session from the store when it is not found.
      Parameters:
        `vertx` - the Vert.x instance
        `retryTimeout` - the store retry timeout, in ms
      Returns:
        the session store

Copyright © 2016. All rights reserved.